<template lang="pug">
  div(id="root")
    div(id="article-list")
      div(
        class="list-item"
        v-for="(item, index) in list"
        :key="index"
        @click="() => setCurrentArticle(item)")
        div(id="title")
          | {{ item.title }}
        div(id="short-content")
          | {{ item.content }}
</template>

<script>
export default {
  data () {
    return {
      list: [
        {
          title: 'Образование',
          content: 'Принципы Необходимо решать проблему, а не углубляться в суть самой задачи. В веду не возможности тратить много времени на специализацию в столь комплексном окружении задач, стоит набирать опыт решая задачу и получать его ища решение для ее составляющих. В таком подходе соблюдается принцип повторения, располагающий к лучшему усвоению информации и соответственно опыт, который мог быть самоцелью в самом начале становиться намного твердым, при меньших затрат времени. Если не удается найти паттерн для адаптации новой информации, его искать не нужно. Не возможность найти ассоциацию говорит о том, что перед вами совершенно иной класс задач и относится к нему стоит иначе чем располагает опыт. Прочее Описание либо процесса содержащие приведение примера, говорит о плохом способе описания вещи, так как объяснение требующее приведение примера, так или иначе содержит специфические термины, не пригодные для восприятия не специалисту. Объяснение предполагает, что читатель так или иначе не разбирается в теме. Contribution Следуеь рассматривать каждый описанный принцип для случайной выборки и постоянно вносить коррективы, основанные на решении, принятом в ходе каждого рассуждения. Суть не в создании индивидуальных подходов, а в выяснении общей модели работы. Индивидуальные подходы должны строиться на основе общих данных. Правила описанные в пункте "contribution" применимы к самому пункту тоже. Принципы Необходимо решать проблему, а не углубляться в суть самой задачи. В веду не возможности тратить много времени на специализацию в столь комплексном окружении задач, стоит набирать опыт решая задачу и получать его ища решение для ее составляющих. В таком подходе соблюдается принцип повторения, располагающий к лучшему усвоению информации и соответственно опыт, который мог быть самоцелью в самом начале становиться намного твердым, при меньших затрат времени. Если не удается найти паттерн для адаптации новой информации, его искать не нужно. Не возможность найти ассоциацию говорит о том, что перед вами совершенно иной класс задач и относится к нему стоит иначе чем располагает опыт. Прочее Описание либо процесса содержащие приведение примера, говорит о плохом способе описания вещи, так как объяснение требующее приведение примера, так или иначе содержит специфические термины, не пригодные для восприятия не специалисту. Объяснение предполагает, что читатель так или иначе не разбирается в теме. Contribution Следуеь рассматривать каждый описанный принцип для случайной выборки и постоянно вносить коррективы, основанные на решении, принятом в ходе каждого рассуждения. Суть не в создании индивидуальных подходов, а в выяснении общей модели работы. Индивидуальные подходы должны строиться на основе общих данных. Правила описанные в пункте "contribution" применимы к самому пункту тоже.'
        }
      ]
    }
  },
  methods: {
    setCurrentArticle (article) {
      this.$store.commit('changeArticle', article)
    }
  }
}
</script>

<style lang="sass" scoped>
.list-item
  margin: 1em 0
  border: 1px solid #aaa
  padding: 1em
  border-radius: 0.3vw
  &:first-child
    margin-top: 0
  #title
    border-bottom: 2px solid
    margin-bottom: 0.5em
  #short-content
</style>
